define({"0":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/01-nvidia-system-profiler.htm",a:"Overview NVIDIA System Profiler is a statistical sampling profiler with tracing\nfeatures.  It is designed to work with devices and devkits based on NVIDIA Tegra\nSoC (system-on-chip). Throughout this document we will refer to the Tegra-based device on which\nprofiling happens as target, and the ...",t:"NVIDIA System Profiler User Guide"},"1":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/02-release-notes.htm",a:"NVIDIA System Profiler 3.9 Supported Platforms NVIDIA System Profiler supports multiple platforms.  The build of\nNVIDIA System Profiler that this documentation refers to is compatible with the\nfollowing devices: NVIDIA DRIVE devkits (with Android or Linux): DRIVE CX 2 (P2382) DRIVE PX 2 ...",t:"Release Notes"},"2":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/03-system-requirements.htm",a:"Android-based Devices To use NVIDIA System Profiler with Android-based target devices, you must first: Have a compatible Android device. Have a compatible Android OS image.  To check for the version number of the kernel support of\nNVIDIA System Profiler on a target device, run the following command ...",t:"System Requirements"},"3":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/04-profiling.htm",a:"Connecting to the Target Device NVIDIA System Profiler provides a simple interface to manage multiple connections\nto Linux-based devices via SSH. The network connections manager can be launched\nthrough the device selection dropdown: The dialog has simple controls that allow adding, removing, and ...",t:"Profiling Applications on Linux Devices"},"4":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/04-profiling-android.htm",a:"To work with NVIDIA System Profiler, the target Android device should be\nconfigured for USB debugging in the Developer options settings menu.  Please\nrefer to Android development documentation to learn how to configure the device\nfor USB debugging. On the Windows host, a compatible USB driver should ...",t:"Profiling Applications on Android Devices"},"5":{i:0.0875668449169118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/05-nvtx-trace.htm",a:"The NVIDIA Tools Extension Library (NVTX) is a powerful mechanism that allows\nusers to manually instrument their application. NVIDIA System Profiler can then\ncollect the information and present it on the timeline. NVIDIA System Profiler supports version 2.0 of the NVTX specification. The following ...",t:"NVTX Trace"},"6":{i:0.0648395721919118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/06-cuda-trace.htm",a:"NVIDIA System Profiler is capable of capturing information about CUDA execution in\nthe profiled process. The following CUDA driver and runtime (toolkit) versions are currently\nsupported: 6.5, 7.0, and 8.0. The following information can be collected and presented on the timeline in the\nreport: CUDA ...",t:"CUDA Trace"},"7":{i:0.0875668449169118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/07-opengl-trace.htm",a:"OpenGL and OpenGL ES APIs can be traced to assist in the analysis of CPU and GPU\ninteractions. A few usage examples are: Visualize how long eglSwapBuffers (or similar) is taking. API trace can easily show correlations between thread state and graphics\ndrivers behavior, uncovering where the CPU may ...",t:"OpenGL Trace"},"8":{i:0.0648395721919118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/08-gpu-process-trace.htm",a:"GPU Process Trace GPU process trace, also known as GPU context switch trace, is a trace of a set\nof events the GPU will emit asynchronously as it switches contexts.  This in\nturn allows visualization of workload emitted by multiple CPU processes as it is\nbeing executed on the GPU.",t:"GPU Process Trace"},"9":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/09-memory-bandwidth-sampling.htm",a:"On compatible devices, memory bandwidth utilization can be sampled, as reported\nby Memory Controller (MC) and External Memory Controller (EMC).  Multiple\ncounters can be sampled simultaneously.  The number of available counters\ndepends on the generation of Tegra; for example, Tegra K1 only provides ...",t:"Memory Bandwidth Sampling"},"10":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/10-hypervisor-trace.htm",a:"With NVIDIA System Profiler it is possible to trace how the virtualization\nsoftware stack works. Flash your DRIVE devkit with a hypervisor (option -H for bootburn.sh).\n(When using DriveInstall, this happens by default.) Please note that not all virtual configurations support tracing events from\nthe ...",t:"Hypervisor Trace"},"11":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/11-elf-debug.htm",a:"Often, after a binary is built, especially if it is built with debug information\n(-g compiler flag), it gets stripped before deploying or installing.  In this\ncase, ELF sections that contain useful information, such as non-export function\nnames or unwind information, can get stripped as well. One ...",t:"Debug Versions of ELF Files"},"12":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/12-report.htm",a:"Generating a New Report Users can generate a new report by stopping a profiling session.  If a profiling\nsession has been canceled, a report will not be generated, and all collected\ndata will be discarded. A new .qdrep file will be created and put into the same directory as the\nproject file ...",t:"Report"},"13":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/13-broken-backtraces.htm",a:"In the symbols table there is a special entry called Broken backtraces. This\nentry is used to denote the point in the call chain where the unwinding\nalgorithms used by Tegra System Profiler could not determine what is the next\n(caller) function. Broken backtraces happen because there is no ...",t:"Broken Backtraces"},"14":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/14-launch-stopped.htm",a:"In many cases, it is important to profile an application from the very\nbeginning of its execution. When launching processes, NVIDIA System Profiler\ntakes care of it by making sure that the profiling session is fully initialized\nbefore making the exec() system call on Linux, and by using the JDWP ...",t:"Launch Processes in Stopped State"},"15":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/15-import-nvtxt.htm",a:"ImportNvtxt is a utility which allows you to convert an  NVTXT  file to an NVIDIA System Profiler report\nfile (*.qdrep) or to merge it with existing report file. Note: NvtxtImport supports custom TimeBase values. Only these values\nare supported: Manual — timestamps are set using absolute values. ...",t:"ImportNvtxt"},"16":{i:0.0534759358294118,u:"../content/developertools/mobile/system_profiler/3.9-automotive/16-troubleshooting.htm",a:"If the profiler behaves unexpectedly during the profiling session, or the\nprofiling session fails to start, try the following steps: Close the host application. Restart the target device. Start the host application and connect to the target device. To enable logging on the host, refer to this config ...",t:"Troubleshooting"},});